Package org.pushingpixels.lafwidget.scroll

# Class AutoScrollActivator

java.lang.Object
org.pushingpixels.lafwidget.scroll.AutoScrollActivator

public class AutoScrollActivator extends Object
Christopher Deckers (chrriis@nextencia.net) http://www.nextencia.net

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`AutoScrollActivator.AutoScrollMouseListener`
`protected static class`
`AutoScrollActivator.AutoScrollProperties`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected AutoScrollActivator.AutoScrollProperties`
`autoScrollProperties`
`protected static final ImageIcon`
`H_IMAGE_ICON`
`protected static final ImageIcon`
`HV_IMAGE_ICON`
`protected JScrollPane`
`scrollPane`
`protected static final ImageIcon`
`V_IMAGE_ICON`

## Constructor Summary

Constructors
Constructor
Description
`AutoScrollActivator(JScrollPane scrollPane)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activateAutoScroll(MouseEvent e)`
`protected void`
`configureScrollPane()`
`protected void`
`deactivateAutoScroll()`
`protected ImageIcon`
`getAutoScrollIcon()`
`static void`
`setAutoScrollEnabled(JScrollPane scrollPane, boolean isEnabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scrollPane

protected JScrollPane scrollPane

### autoScrollProperties

protected AutoScrollActivator.AutoScrollProperties autoScrollProperties

### H_IMAGE_ICON

protected static final ImageIcon H_IMAGE_ICON

### V_IMAGE_ICON

protected static final ImageIcon V_IMAGE_ICON

### HV_IMAGE_ICON

protected static final ImageIcon HV_IMAGE_ICON

## Constructor Details

### AutoScrollActivator

public AutoScrollActivator(JScrollPane scrollPane)

## Method Details

### deactivateAutoScroll

protected void deactivateAutoScroll()

### activateAutoScroll

protected void activateAutoScroll(MouseEvent e)

### configureScrollPane

protected void configureScrollPane()

### getAutoScrollIcon

protected ImageIcon getAutoScrollIcon()

### setAutoScrollEnabled

public static void setAutoScrollEnabled(JScrollPane scrollPane, boolean isEnabled)